[Pkg-clamav-commits] [SCM] Debian repository for ClamAV branch, debian/unstable, updated. debian/0.95+dfsg-1-6619-gb05f4aa

Michael Tautschnig mt at debian.org
Wed Dec 1 15:28:16 UTC 2010


The following commit has been merged in the debian/unstable branch:
commit cb40cfe6017d19b261cb36fb06ef7dd0e898a0ac
Author: Michael Tautschnig <mt at debian.org>
Date:   Wed Dec 1 16:06:17 2010 +0100

    Current tarball doesn't contain pre-compiled python stuff anymore
    
    - Still include a check

diff --git a/contrib/split-tarball.sh b/contrib/split-tarball.sh
index 4ef288a..206ca64 100755
--- a/contrib/split-tarball.sh
+++ b/contrib/split-tarball.sh
@@ -5,8 +5,11 @@ if test $# -ne 2; then
     exit 1;
 fi
 
-test -d $1 || { echo "Directory $1 doesn't exist"; exit 2; }
-TARBALL="$PWD/$1/clamav-$2.tar.gz"
+DIR=$1
+VERS=$2
+
+test -d $DIR || { echo "Directory $DIR doesn't exist"; exit 2; }
+TARBALL="$PWD/$DIR/clamav-$VERS.tar.gz"
 test -f $TARBALL || { echo "Tarball $TARBALL doesn't exist"; exit 3; }
 
 TEMP=`mktemp -d __splitXXXXXX` || { echo "Cannot create temporary directory"; exit 2; }
@@ -15,23 +18,27 @@ cd $TEMP || exit 3;
 echo "Extracting $TARBALL";
 tar -xzf $TARBALL || { echo "Failed to extract $TARBALL"; exit 4; }
 
-UNRARPKG=libclamunrar_$2.orig.tar.gz
-DFSGPKG=clamav_$2+dfsg.orig.tar.gz
-UNRARDIR="libclamunrar-$2"
+UNRARPKG=libclamunrar_$VERS.orig.tar.gz
+DFSGPKG=clamav_$VERS+dfsg.orig.tar.gz
+UNRARDIR="libclamunrar-$VERS"
 MAKEFLAGS=-j4
 
 set -e
 
-mv clamav-$2 clamav-$2+dfsg
+mv clamav-$VERS clamav-$VERS+dfsg
 mkdir $UNRARDIR
 UNRARDIR="$PWD/$UNRARDIR"
 echo "Preparing dfsg package"
-cd clamav-$2+dfsg
+cd clamav-$VERS+dfsg
 # remove win32 stuff, doesn't make sense to ship it
 rm -r win32
 sed -i 's/ win32//' Makefile.am Makefile.in
 # cleanup llvm
-rm libclamav/c++/llvm/utils/lit/lit/*.pyc
+set -- libclamav/c++/llvm/utils/lit/lit/*.pyc
+if [ -f "$1" ] ; then
+  echo "Pre-compiled python files found!"
+  exit 1
+fi
 cp -R libclamunrar_iface $UNRARDIR
 mv libclamunrar $UNRARDIR
 cp -R m4/ $UNRARDIR
@@ -40,7 +47,7 @@ cp configure.in $UNRARDIR
 cp platform.h.in $UNRARDIR
 cp COPYING{,.unrar,.LGPL} $UNRARDIR
 cd ../
-tar -czf $DFSGPKG clamav-$2+dfsg/
+tar -czf $DFSGPKG clamav-$VERS+dfsg/
 cd $UNRARDIR
 echo "Preparing unrar package"
 # The sed sorcery below makes sure that the AC_OUTPUT in the unrar package looks
@@ -72,7 +79,7 @@ EOF
 autoreconf
 rm -r autom4te.cache
 cd ..
-tar -czf $UNRARPKG libclamunrar-$2/
+tar -czf $UNRARPKG libclamunrar-$VERS/
 
 printf "Test archives?"
 read yes
@@ -91,7 +98,7 @@ mkdir testpfx || { echo "Failed to create testpfx"; exit 5; }
 TESTPFX="$PWD/testpfx"
 mkdir buildtest && cd buildtest
 echo "Running build-test for $DFSGPKG"
-tar -xzf ../$DFSGPKG && cd clamav-$2+dfsg
+tar -xzf ../$DFSGPKG && cd clamav-$VERS+dfsg
 echo "Configuring"
 ./configure --disable-clamav --disable-unrar --enable-milter --prefix=$TESTPFX >makelog
 echo "Building"
@@ -103,7 +110,7 @@ make $MAKFELAGS installcheck >>makelog
 echo "OK"
 cd ..
 echo "Running build-test for $UNRARPKG"
-tar -xzf ../$UNRARPKG && cd libclamunrar-$2
+tar -xzf ../$UNRARPKG && cd libclamunrar-$VERS
 echo "Configuring"
 ./configure --disable-clamav --prefix=$TESTPFX >makelog
 echo "Building"
@@ -125,7 +132,7 @@ if test $? -ne 0; then
 fi
 # clamscan will exit with exitcode 1 on success (virus found)
 set +e
-$TESTPFX/bin/clamscan buildtest/clamav-$2+dfsg/test/clam-v*.rar -dtest.hdb >clamscanlog
+$TESTPFX/bin/clamscan buildtest/clamav-$VERS+dfsg/test/clam-v*.rar -dtest.hdb >clamscanlog
 if test $? -ne 1; then
     echo "Test failed";
     cat clamscanlog

-- 
Debian repository for ClamAV



More information about the Pkg-clamav-commits mailing list